UnsolicitedNotificationListener (Java Platform SE 8 )
Keywords: javax.naming.ldap.UnsolicitedNotificationListener interface
Date: 2026-07-22

compact3
javax.naming.ldap

## Interface UnsolicitedNotificationListener

- All Superinterfaces:
    EventListener, NamingListener

      public interface UnsolicitedNotificationListener
      extends NamingListener

  This interface is for handling `UnsolicitedNotificationEvent`. "Unsolicited notification" is defined in RFC 2251. It allows the server to send unsolicited notifications to the client. A `UnsolicitedNotificationListener` must:
  1. Implement this interface and its method
  2. Implement `NamingListener.namingExceptionThrown()` so that it will be notified of exceptions thrown while attempting to collect unsolicited notification events.
  3. Register with the context using one of the `addNamingListener()` methods from `EventContext` or `EventDirContext`. Only the `NamingListener` argument of these methods are applicable; the rest are ignored for a `UnsolicitedNotificationListener`. (These arguments might be applicable to the listener if it implements other listener interfaces).
  Since:
    1.3
  See Also:
    `UnsolicitedNotificationEvent`, `UnsolicitedNotification`, `EventContext.addNamingListener(javax.naming.Name, int, javax.naming.event.NamingListener)`, `EventDirContext.addNamingListener(javax.naming.Name, java.lang.String, javax.naming.directory.SearchControls, javax.naming.event.NamingListener)`, `EventContext.removeNamingListener(javax.naming.event.NamingListener)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notificationReceived(UnsolicitedNotificationEvent evt)` Called when an unsolicited notification has been received.

    - ### Methods inherited from interface javax.naming.event.NamingListener

      `namingExceptionThrown`

- - ### Method Detail

    - #### notificationReceived

          void notificationReceived(UnsolicitedNotificationEvent evt)

      Called when an unsolicited notification has been received.
      Parameters:
        `evt` - The non-null UnsolicitedNotificationEvent

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.